Bug 506891 - (set, system, time) Can not set system time in Gnome
Can not set system time in Gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 02:59 EDT by Ben Behnam
Modified: 2013-05-01 07:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Behnam 2009-06-19 02:59:02 EDT
Description of problem:

System time can not be set via /usr/libexec/clock-applet.  This is the clock applet that is docked on the right top of the screen in the top gnome panel.  

When attempting to change the the time the "Privileges are required to change the system time" dialogue box opens; however, the correct admin [root] password is not accepted.  It just keeps asking for the root password until you have attempted too many times [three times].  

I verified many times that I was entering the correct password, and was not having typo problems.


Version-Release number of selected component (if applicable):  What ever is the default in Fedora 11.  I have done all the updates until June 17th.


How reproducible:

System setup:

Standard install:
Linux terra2 2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Gnome GUI


Steps to Reproduce:
1.  Install your system normally.  Chose the Gnome gui. When setting up the duting install time choose NTP as the method for keeping time current and leave the system Clock uses UTC option alone as it is on by default.  

2. Create a normal user, and login a few times to finalize your standard user account setup. 

3. Move the mouse to the top panel. go all the way to the right. right click on the calendar/clock applet and choose  "adjust date and time" option from the menu.  

4. When the "Time Settings" Dialogue Box opens; then click on the "Set System Time ..." button.
 
  
5. When the Authenticate Dialogue box opens; enter the "correct" root password.   

Actual results:

The correct password is not accepted.  You will be asked to enter the password two more times and then the Authenticate dialogue box closes. You will fail to change system time parameters.  In my case I just wanted to uncheck the system clock uses UTC option.


Expected results:

The correct password should have been accepted and I should have been allowed to modify system time parameters.  


Additional info:

There was a work around of course.  I open a terminal, su to root, and then I can run the system-config-date as root.  I was able to them make the necessary change I wanted to make using this method.  I'm sure sudo would work as well; I didn't try.  

Not sure what is wrong; SELinux maybe?  Although, I get no warning popup messages from SELinux to tell me something fishy was being attempted.

The applet in question is /usr/libexec/clock-applet.
Comment 1 Ben Behnam 2009-06-19 03:05:04 EDT
In step one there was a typo:

This:

Install your system normally.  Chose the Gnome gui. When setting up the
duting install time choose NTP as the method for keeping time current and leave
the system Clock uses UTC option alone as it is on by default.  


Should have been this:

Install your system normally.  Chose the Gnome gui. When setting up the time
during install choose NTP as the method for keeping time current and leave
the system Clock uses UTC option alone as it is on by default.  

 Sorry.
Comment 2 Ben Behnam 2009-06-19 03:30:49 EDT
Ok,

I just installed the 61 updates released tonight.  I am up to date as of Friday, June 19 2009 12:29 AM.  

The problem is still there after all the updates and a reboot.  

Time to get some sleep :)
Comment 3 Bloks 2009-08-17 00:49:59 EDT
Hi,

I have same problem in Fedora 10 - clock application is not akcepted root password and i cant adjust system time.
Comment 4 Bug Zapper 2010-04-27 11:05:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:09:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora Update System 2013-02-14 12:25:47 EST
systemtap-2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemtap-2.1-1.fc17
Comment 7 Josh Stone 2013-02-14 12:29:27 EST
(In reply to comment #6)
> systemtap-2.1-1.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/systemtap-2.1-1.fc17

Sorry, complete accident, removed.
Comment 8 Fedora Update System 2013-05-01 07:54:30 EDT
colorhug-client-0.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/colorhug-client-0.2.0-1.fc19

Note You need to log in before you can comment on or make changes to this bug.